Update signal status
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/"
payload = {
"feedback": "<string>",
"is_positive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedback: '<string>', is_positive: true})
};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedback": "<string>",
"is_positive": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"given_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]"
},
"status": "to_review",
"feedback": "<string>",
"context": {
"additional_details": "<string>"
},
"is_positive": true,
"user_message": "<string>",
"conversation_title": "<string>",
"suggested_action_type": "<string>",
"suggested_action_data": {}
}{
"error": "User not found"
}{
"error": "Authentication credentials were not provided."
}{
"error": "User not found"
}{
"error": "Not found."
}Signals
Update signal status
Mark a signal as reviewed or update other fields.
Access Control:
- Admins can update any signal
- Regular users can only update signals they submitted
PATCH
/
projects
/
{project_id}
/
signals
/
{signal_id}
/
Update signal status
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/"
payload = {
"feedback": "<string>",
"is_positive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedback: '<string>', is_positive: true})
};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/signals/{signal_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedback": "<string>",
"is_positive": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"given_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]"
},
"status": "to_review",
"feedback": "<string>",
"context": {
"additional_details": "<string>"
},
"is_positive": true,
"user_message": "<string>",
"conversation_title": "<string>",
"suggested_action_type": "<string>",
"suggested_action_data": {}
}{
"error": "User not found"
}{
"error": "Authentication credentials were not provided."
}{
"error": "User not found"
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
UUID of the signal
Body
application/json
Response
Signal updated successfully
User who submitted the signal
Show child attributes
Show child attributes
to_review: Signal pending review (default)reviewed: Signal has been reviewed
Available options:
to_review, reviewed Signal text comment
Free-form context, echoed back as submitted at creation
Show child attributes
Show child attributes
true: Positive signalfalse: Negative signalnull: Neutral
The user message that was responded to (computed field)
Title of the conversation (computed field)
Auto-generated suggested action type
Auto-generated suggested action data